> ## Documentation Index
> Fetch the complete documentation index at: https://fermata-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Info by User ID

> Retrieve the information of the user with the matching user ID.



## OpenAPI

````yaml GET /v1/users/{user_id}
openapi: 3.1.0
info:
  version: '0.1'
  title: Fermata API
  summary: >-
    Fermata is a billing engine that supports prepaid balances and real-time
    usage computation
  description: ''
servers:
  - url: https://api.gofermata.com
security:
  - apiKey: []
paths:
  /v1/users/{user_id}:
    get:
      summary: Get User Info by User ID
      description: Retrieve the information of the user with the matching user ID.
      operationId: get-users-userId
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: User Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/user'
              examples:
                Get User Alice Smith:
                  value:
                    id: 142
                    firstName: Alice
                    lastName: Smith
                    email: alice.smith@gmail.com
                    dateOfBirth: '1997-10-31'
                    emailVerified: true
                    signUpDate: '2019-08-24'
        '404':
          description: User Not Found
      security:
        - apiKey: []
      servers:
        - url: https://api.gofermata.com
components:
  schemas:
    user:
      x-internal: true
      x-stoplight:
        internallyExcluded: true
        errorMessage: This object is set as internal and excluded.
  securitySchemes:
    apiKey:
      type: http
      scheme: basic

````